'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgTarget = function SvgTarget(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Target_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "m60.178 20.427-1.034-.992 4.653-4.654L65.472 2l1.401.181-1.608 12.156 12.14-1.619.181 1.402-12.745 1.67h-.03zm9.596 23.686a33.886 33.886 0 1 1-33.887-33.887 33.93 33.93 0 0 1 33.887 33.887m-1.034 0a32.72 32.72 0 0 0-9.343-22.91l-5.987 5.972a24.699 24.699 0 1 1-1.035-.967l5.993-6.008a32.827 32.827 0 1 0 10.34 23.913zm-37.351-.734a4.57 4.57 0 0 1 1.603-2.585 4.62 4.62 0 0 1 2.885-1.034 4.46 4.46 0 0 1 2.26.63l.072.042 5.387-5.388a12.218 12.218 0 1 0 1.008.926l-5.232 5.217-.067.067.062.072a4.6 4.6 0 0 1 1.137 2.844 4.59 4.59 0 0 1-3.443 4.653 4.6 4.6 0 0 1-5.672-5.444m20.247-16.437a23.504 23.504 0 1 0 1.034.962L45.35 35.23a13.122 13.122 0 1 1-1.034-.936z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Target_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgTarget;
